<ion-header>
  <ion-toolbar class="color-black">
    <ion-icon style="zoom:1.5" color="secondary" name="arrow-back" (click)="back(0)" slot="start"></ion-icon>
    <ion-title color="secondary">Quiz Title</ion-title>
    <div slot="end" class="mr-5 timer">
      <ion-icon class="f-27 mr-5" color="secondary" name="time"></ion-icon>
      <ion-text color="secondary">{{ time | async}}</ion-text>
    </div>
  </ion-toolbar>
</ion-header>

<ion-content padding>
  <!-- <ion-grid *ngIf="!start_quiz">
    <ion-row class="ion-padding-">
      <ion-col size="12">
        <h2 class="ion-no-margin">{{data?.title}}</h2>
      </ion-col>
      <ion-col size="12">
        <p class="ion-no-margin-">{{data?.description}}</p>
      </ion-col>
      <ion-col size="12">
        <h4 class="ion-no-margin">Total Question {{data?.maxquestions}}</h4>
      </ion-col>
      <ion-col size="12">
        <h4 class="ion-no-margin">Quiz Time {{data?.quiztime}}</h4>
      </ion-col>
      <ion-col size="12">
        <h4 class="ion-no-margin">Pass Score {{data?.passcore}}</h4>
      </ion-col>
      <ion-col size="12">
        <ion-button (click)="startQuiz()">
          Start Quiz
        </ion-button>
      </ion-col>
    </ion-row>
  </ion-grid> -->
  <!-- <ion-slides #slides>
    <ion-slide> -->
      <ion-row>
        <ion-col size="12">
          <h3 class="ion-text-center">Question: {{questions?.questionid}}</h3>
        </ion-col>
        <ion-col size="12">
          <h3> {{questions?.questiontext}}</h3>
        </ion-col>
        <ion-col size="12" *ngIf="questions?.type == 'mcqs'">
          <ion-list>
            <ion-radio-group mode="ios">
              <ion-item *ngFor="let answer of questions.answers; let i = index;">
                <ion-label>{{i+1}}. {{answer.answertext}}</ion-label>
                <ion-radio (click)="selectAnswer(answer, questions)" [disabled]="hasAnswered"></ion-radio>
              </ion-item>
            </ion-radio-group>
          </ion-list>
        </ion-col>
        <ion-col size="12" *ngIf="questions?.type == 'text'">
          <ion-item>
            <!-- <ion-label>Notes</ion-label> -->
            <ion-textarea rows="6" cols="20" placeholder="Write your answer here..."></ion-textarea>
          </ion-item>
        </ion-col>
      </ion-row>
    <!-- </ion-slide>
  </ion-slides> -->
  <div class="ion-text-end" *ngIf="questions">
    <ion-button (click)="nextSlide()">
      Next Question
    </ion-button>
  </div>
</ion-content>